Bio::LiveSeq::Prim_Transcript(3)

NAME
Bio::LiveSeq::Prim_Transcript - Prim_Transcript class for LiveSeq

SYNOPSIS
  # documentation needed

DESCRIPTION
Class for PRIM_TRANSCRIPT objects. They consist of a beginlabel, an endlabel (both referring to a LiveSeq DNA object) and a strand. The strand could be 1 (forward strand, default), -1 (reverse strand).

AUTHOR - Joseph A.L. Insana
Email: Insana@ebi.ac.uk, jinsana@gmx.net

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
  Title   : new
  Usage   : $intron1=Bio::LiveSeq::Prim_Transcript->new(-seq => $objref,
                                                        -start => $startlabel,
                                                        -end => $endlabel,
                                                        -strand => 1
                                                        );

  Function: generates a new Bio::LiveSeq::Prim_Transcript
  Returns : reference to a new object of class Prim_Transcript
  Errorcode -1
  Args    : two labels and an integer